/**************************************************************************

    This file is part of desktop95, a desktop manager for fvwm95.
    Copyright (C) 1996, 1997 David Barth, Hector Peraza.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

**************************************************************************/

#include <xclass/OXClient.h>
#include <xclass/OXWindow.h>
#include <xclass/OXFrame.h>
#include <xclass/OXWidgets.h>
#include <xclass/OString.h>
#include <xclass/OPicture.h>
#include <xclass/utils.h>

#include "OXFolder.h"
#include "OXNewWidgets.h"
#include "OXNewClient.h"


#define M_FILE_NEW		101
#define M_FILE_NEWFOLDER	    111
#define M_FILE_NEWSHORTCUT	    112
#define M_FILE_DELETE		102
#define M_FILE_RENAME		103
#define M_FILE_PROPS		104
#define M_FILE_CLOSE		105

#define M_EDIT_UNDO		201
#define M_EDIT_CUT		202
#define M_EDIT_COPY		203
#define M_EDIT_PASTE		204
#define M_EDIT_PASTESHORTCUT	205
#define M_EDIT_SELECTALL	206
#define M_EDIT_INVSELECTION	207

#define M_VIEW_TOOLBAR		301
#define M_VIEW_STATUS		302
#define M_VIEW_LARGEICONS	303
#define M_VIEW_SMALLICONS	304
#define M_VIEW_LIST		305
#define M_VIEW_DETAILS		306
#define M_VIEW_ARRANGE_BYNAME	    311
#define M_VIEW_ARRANGE_BYTYPE	    312
#define M_VIEW_ARRANGE_BYSIZE	    313
#define M_VIEW_ARRANGE_BYDATE	    314
#define M_VIEW_ARRANGE_AUTO	    315
#define M_VIEW_LINEUP           307
#define M_VIEW_REFRESH          308

#define M_HELP_CONTENTS		401
#define M_HELP_SEARCH		402
#define M_HELP_ABOUT		403


//---------------------------------------------------------------------

class OXDesktopMainFrame : public OXMainFrame {
public:
  OXDesktopMainFrame(const OXWindow *p, int w, int h);
  virtual ~OXDesktopMainFrame();

  virtual int ProcessMessage(long msg, long parm1, long parm2);

protected:
  OXStatusBar *_statusBar;
  OXCanvas *_canvasWindow;

  OLayoutHints *_menuBarLayout, *_menuBarItemLayout, *_menuBarHelpLayout;

  OXMenuBar *_menuBar;
  OXPopupMenu *_menuFile, *_menuEdit, *_menuView, *_menuHelp;
  OXPopupMenu *_newMenu, *_sortMenu;
};
