/**************************************************************************

    This file is part of explorer95, a file manager for fvwm95.
    Copyright (C) 1996, 1997 David Barth, Hector Peraza.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

**************************************************************************/

#include <X11/cursorfont.h>

#include <xclass/OXClient.h>
#include <xclass/utils.h>

#include "OXNewWidgets.h"
#include "OXNewClient.h"


OXExplorerClient::OXExplorerClient(const char *DpyName) : OXClient(DpyName) {
  XGCValues gval;
  unsigned long gmask;

  OXStatusBar::_defaultFontStruct = XLoadQueryFont(_dpy, "-adobe-helvetica-medium-r-*-*-10-*-*-*-*-*-iso8859-1");

  gmask = GCForeground | GCBackground | GCFont |
          GCFillStyle | GCGraphicsExposures;
  gval.fill_style = FillSolid;
  gval.graphics_exposures = False;
  gval.foreground = _forecolor;
  gval.background = _backcolor;
  gval.font = OXStatusBar::_defaultFontStruct->fid;
  OXStatusBar::_defaultGC = XCreateGC(_dpy, _Root->GetId(), gmask, &gval);

}
