/**************************************************************************

    This file is part of notepad95, a text editor for fvwm95.
    Copyright (C) 1997, Harald Radke.                   

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

**************************************************************************/

#include <stdio.h>

#include <xclass/OXClient.h>
#include <xclass/OXFrame.h>
#include <xclass/OXWidgets.h>
#include <xclass/OXScrollBar.h>

#include "OXTextFrame.h"

class OXTextEdit : public OXCompositeFrame {
public:
  OXTextEdit(OXWindow *parent, int w, int h, unsigned int options,
             unsigned long back = _defaultFrameBackground);
  virtual ~OXTextEdit();

  bool  LoadFile(char *fname);
  bool  SaveFile(char *fname);
  void Clear();

  bool  IsSaved();
  bool  Cut();
  bool  Copy();
  bool  Paste();
  bool  Delete();
  bool  SelectAll();
  bool  LineBreak();
  bool Search(char *string, bool direction, bool caseSensitive);
  bool Goto(long line);


  virtual int ProcessMessage(long msg, long parm1, long parm2);
  virtual void Layout();
  virtual void DrawBorder();
  virtual ODimension GetDefaultSize() const { return ODimension(_w, _h); }
  const OXTextFrame *GetTextFrame() const { return _textCanvas; }

protected:
  OXTextFrame  *_textCanvas;
  OXVScrollBar *_vsb;
  OXHScrollBar *_hsb;

  void SetSBPos(int col, int row);
  void HLayout();
  void VLayout();
};


