/**************************************************************************

    This file is part of Xclass95, a Win95-looking GUI toolkit.
    Copyright (C) 1996, 1997 David Barth, Hector Peraza.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

**************************************************************************/

#ifndef __UTILS_H
#define __UTILS_H

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <XCconfig.h>

#define DBG_REDRAW   (1<<0)
#define DBG_MVRESIZE (1<<1)
#define DBG_EVENT    (1<<2)
#define DBG_INFO     (1<<3)
#define DBG_MISC     (1<<4)

void FatalError(const char *fmt, ...);
void Debug(int level, const char *fmt, ...);

#if !defined(HAVE_STRERROR) || HAVE_STRERROR == 0
char *strerror(int num);
#endif  // HAVE_STRERROR


#endif  // __UTILS_H
